Server.Connection (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.ipc
Class Server.Connection

    java.lang.Object
      org.apache.hadoop.ipc.Server.Connection

Enclosing class:
  Server

    public class Server.Connection

extends Object

Reads calls from a connection and queues them for handling.

Field Summary
`UserGroupInformation` | `attemptingUser`

Constructor Summary
`Server.Connection(SelectionKey key, SocketChannel channel, long lastContact)`

Method Summary
`String` | `getHostAddress()`
`InetAddress` | `getHostInetAddress()`
`long` | `getLastContact()`
`int` | `readAndProcess()`
`void` | `setLastContact(long lastContact)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attemptingUser

    public UserGroupInformation attemptingUser

Constructor Detail

### Server.Connection

    public Server.Connection(SelectionKey key,
                             SocketChannel channel,
                             long lastContact)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getHostAddress

    public String getHostAddress()

### getHostInetAddress

    public InetAddress getHostInetAddress()

### setLastContact

    public void setLastContact(long lastContact)

### getLastContact

    public long getLastContact()

### readAndProcess

    public int readAndProcess()
                       throws IOException,
                              InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation